#include "sig.h"
#include "RooRealVar.h"
#include "RooPlot.h"
#include "RooStats/ProfileLikelihoodTestStat.h"
#include "RooStats/ProofConfig.h"
#include "RooWorkspace.h"
#include "RooStats/ToyMCSampler.h"
#include "RooAbsData.h"
#include "RooStats/ModelConfig.h"
#include "RooStats/FeldmanCousins.h"
#include "RooStats/LikelihoodIntervalPlot.h"
#include "RooStats/PointSetInterval.h"
#include "RooGenericPdf.h"

using namespace RooStats;
using namespace RooFit;

void test()
{
    int type = 1;
    
    RooRealVar x("x","",1050,3550);
    RooRealVar mass("mass","",2000);               mass.setConstant(kTRUE);
    RooRealVar alpha_pts("alpha_pts","",1,0,2);
    RooRealVar alpha_jms("alpha_jms","",1,0,2);
    RooRealVar alpha_ptr("alpha_ptr","",0,0,2);
    RooRealVar mc_type("mc_type","", type);

    sig s("s","",x,mass,alpha_pts,alpha_jms,alpha_ptr,mc_type);
        
    RooAbsData *data = s.generate(x, 1000);
    
    RooWorkspace ws("ws");
    ws.autoImportClassCode(true);
    ws.import(s);
    ws.import(*data);
    
    ModelConfig modelConfig(&ws);
    modelConfig.SetPdf(s);
    modelConfig.SetParametersOfInterest(alpha_pts);
    modelConfig.SetObservables(x);
    
    FeldmanCousins fc(*data, modelConfig);
    fc.SetConfidenceLevel(0.95);
    fc.SetNBins(100);
    fc.UseAdaptiveSampling(true);
    fc.FluctuateNumDataEntries(false);

    
    ProofConfig pc(ws, 4, "workers=4", kFALSE);
    ToyMCSampler* toymcsampler = (ToyMCSampler*) fc.GetTestStatSampler();
    toymcsampler->SetProofConfig(&pc);
    
    PointSetInterval* interval = (PointSetInterval*) fc.GetInterval();

}














